Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		embedded_innodb
#Epoch:		0
Version:	1.0.6.6750
Release:	1
License:	BSD
URL:		http://www.innodb.com/wp/products/embedded-innodb/
Group:		Databases	
Summary:	embeddable InnoDB Non-SQL database
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: zlib-devel

%description
Made for application developers, device makers and ISVs, Embedded InnoDB provides all the high-performance, proven and reliable data management features of InnoDB in an embeddable form, without the overhead, footprint or unneeded features of the MySQL server.

Embedded InnoDB is used independently of MySQL. It is not a plugin, nor a storage engine for MySQL. It is designed to be linked directly into application programs, and provides highly efficient, low-level database management services, not using SQL.

Embedded InnoDB provides the features, functions and capabilities that embedded applications require:

    * Embedded InnoDB delivers all the high-performance and reliability capabilities of the InnoDB storage engine, including concurrency control, sophisticated indexing, crash recovery and more.
    * For application programmers, Embedded InnoDB provides a non-SQL, ISAM-like API for creating and querying tables and executing other data management functions.
    * Designed for use in environments without a database administrator, Embedded InnoDB configuration is fully automatic and has all the operational characteristics needed for stand-alone applications and devices.


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libinnodb.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/embedded_innodb-1.0/innodb.h
%{_libdir}/libinnodb.a
%{_libdir}/libinnodb.la
%{_libdir}/libinnodb.so
%{_datadir}/embedded_innodb-1.0/examples/ib_cfg.c
%{_datadir}/embedded_innodb-1.0/examples/ib_compressed.c
%{_datadir}/embedded_innodb-1.0/examples/ib_cursor.c
%{_datadir}/embedded_innodb-1.0/examples/ib_index.c
%{_datadir}/embedded_innodb-1.0/examples/ib_logger.c
%{_datadir}/embedded_innodb-1.0/examples/ib_mt_stress.c
%{_datadir}/embedded_innodb-1.0/examples/ib_search.c
%{_datadir}/embedded_innodb-1.0/examples/ib_status.c
%{_datadir}/embedded_innodb-1.0/examples/ib_test1.c
%{_datadir}/embedded_innodb-1.0/examples/ib_test2.c
%{_datadir}/embedded_innodb-1.0/examples/ib_test3.c
%{_datadir}/embedded_innodb-1.0/examples/ib_test5.c
%{_datadir}/embedded_innodb-1.0/examples/ib_types.c
%{_datadir}/embedded_innodb-1.0/examples/ib_update.c
%{_datadir}/embedded_innodb-1.0/examples/Makefile.examples
%{_datadir}/embedded_innodb-1.0/examples/README
%{_datadir}/embedded_innodb-1.0/examples/test0aux.c
%{_datadir}/embedded_innodb-1.0/examples/test0aux.h


%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sat Jul 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6.6750-1
- initial CCux package release
